Package com.orchestranetworks.ui.toolbar

# Interface ToolbarMenuGroup

public interface ToolbarMenuGroup
Allows to define a group menu item.

A group can either:

- define all its items one by one
- automatically generate its items from a group key

These options are exclusive.

Since:
  5.7.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ToolbarActionMenuItem`
  `addActionItem()`
  Adds a new action item to the given group with the specified label.
  `ToolbarActionMenuItem`
  `addActionItem(UserMessage actionLabel)`
  Adds a new action item to the given group with the specified label.
  `ToolbarActionMenuItem`
  `addActionItem(String actionLabel)`
  Adds a new action item to the given group with the specified label.
  `ToolbarSubMenuItem`
  `addSubMenu(UserMessage aLabel)`
  Creates a new instance of a sub-menu and adds it directly to this group.
  `ToolbarSubMenuItem`
  `addSubMenu(String aLabel)`
  Creates a new instance of a sub-menu and adds it directly to this group.
  `void`
  `setDescription(UserMessage aDescription)`
  Sets the description of this menu item.
  `void`
  `setDescription(String aDescription)`
  Sets the description of this menu item.

- ## Method Details

  - ### addSubMenu

    ToolbarSubMenuItem addSubMenu(UserMessage aLabel)
    Creates a new instance of a sub-menu and adds it directly to this group.
    Returns:
      this new instance so that it can be modified.

  - ### addSubMenu

    ToolbarSubMenuItem addSubMenu(String aLabel)
    Creates a new instance of a sub-menu and adds it directly to this group.
    Returns:
      this new instance so that it can be modified.

  - ### addActionItem

    ToolbarActionMenuItem addActionItem()
    Adds a new action item to the given group with the specified label.

  - ### addActionItem

    ToolbarActionMenuItem addActionItem(UserMessage actionLabel)
    Adds a new action item to the given group with the specified label.

  - ### addActionItem

    ToolbarActionMenuItem addActionItem(String actionLabel)
    Adds a new action item to the given group with the specified label.

  - ### setDescription

    void setDescription(UserMessage aDescription)
    Sets the description of this menu item.

  - ### setDescription

    void setDescription(String aDescription)
    Sets the description of this menu item.